Bug 561482 - Review Request: joni - Java port of Oniguruma regexp library
Review Request: joni - Java port of Oniguruma regexp library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 560170
Blocks: 561484
  Show dependency treegraph
 
Reported: 2010-02-03 13:27 EST by Mo Morsi
Modified: 2010-03-12 11:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 11:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2010-02-03 13:27:54 EST
Spec URL: http://mo.morsi.org/files/jruby/joni.spec
SRPM URL: http://mo.morsi.org/files/jruby/joni-1.1.3-2.fc12.src.rpm
Description: 
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.

Unorphaning package: https://admin.fedoraproject.org/pkgdb/packages/name/joni

Required by JRuby.

No koji build yet as joni depends on jcodings which is pending Fedora approval itself.

$ rpmlint rpmbuild/RPMS/i386/joni-1.1.3-2.fc12.i386.rpm 
joni.i386: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignoring as source package does not provide documentation.

$ rpmlint rpmbuild/SRPMS/joni-1.1.3-2.fc12.src.rpm 
joni.src:88: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
1 packages and 0 specfiles checked; 0 errors, 1 warnings.  

Ignoring this last warning as when package is noarch (eg if using java-openjdk)
the libdir file will not be included, and when the package is architecture
specific (eg when using gcj) it will be. See spec file for conditionals.
Comment 1 Mamoru TASAKA 2010-02-15 14:44:07 EST
Taking this as I maintain several ruby related packages
and oniguruma.

Some notes:

* Source tarball
  - No tarball cannot be downloaded from the URL written as
    SOURCE0 URL.

    Also, the tarball downloaded as
    $ wget -O joni-1.1.3.tar.gz "http://github.com/jruby/joni/tarball/1.1.3"
    differs from the tarball in your srpm:
---------------------------------------------------------------------
120420 joni-1.1.3.tar.gz
124045 joni-1.1.3-2.fc12.src/jruby-joni-bb99ccb.tar.gz
---------------------------------------------------------------------

* Requires
  - There is two "jpackage-utils" entry in Requires

* linking
---------------------------------------------------------------------
   56  ln -s %{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
---------------------------------------------------------------------
  - The following line is sufficient.
---------------------------------------------------------------------
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
---------------------------------------------------------------------

* Stripping binaries
  - Don't strip binaries by yourself and create debuginfo rpm
    correctly.

* %check
  - As this tarball contains test/ directory, it is preferable that
    you add %check section and execute some test program there
    (if possible, I am not familiar with java)

By the way I would appreciate it if you would review my review
request (bug 565603)
Comment 2 Mo Morsi 2010-02-17 18:18:14 EST
(In reply to comment #1)
> Taking this as I maintain several ruby related packages
> and oniguruma.
> 
> Some notes:
> 
> * Source tarball
>   - No tarball cannot be downloaded from the URL written as
>     SOURCE0 URL.
> 
>     Also, the tarball downloaded as
>     $ wget -O joni-1.1.3.tar.gz "http://github.com/jruby/joni/tarball/1.1.3"
>     differs from the tarball in your srpm:
> ---------------------------------------------------------------------
> 120420 joni-1.1.3.tar.gz
> 124045 joni-1.1.3-2.fc12.src/jruby-joni-bb99ccb.tar.gz
> ---------------------------------------------------------------------

Changed. The new url in the spec file should be the complete/final github url where the tarball is located.

> 
> * Requires
>   - There is two "jpackage-utils" entry in Requires
> 
> * linking
> ---------------------------------------------------------------------
>    56  ln -s %{_javadir}/%{name}-%{version}.jar
> $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
> ---------------------------------------------------------------------
>   - The following line is sufficient.
> ---------------------------------------------------------------------
> ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
> ---------------------------------------------------------------------
> 
Both done.

> * Stripping binaries
>   - Don't strip binaries by yourself and create debuginfo rpm
>     correctly.

Removed completely as the gcj aot bits are no longer needed / used in Fedora.

> 
> * %check
>   - As this tarball contains test/ directory, it is preferable that
>     you add %check section and execute some test program there
>     (if possible, I am not familiar with java)

Couldn't find the 'test' build target (ant test doesn't work), so leaving be for now unless this is a huge thing.


> 
> By the way I would appreciate it if you would review my review
> request (bug 565603)    

Looks like I just missed it, got approval this morning.

Updated and uploaded new joni rpm

Spec URL: http://mo.morsi.org/files/jruby/joni.spec
SRPM URL: http://mo.morsi.org/files/jruby/joni-1.1.3-3.fc12.src.rpm
Comment 3 Mamoru TASAKA 2010-02-19 10:53:07 EST
(In reply to comment #2)
> > * %check
> >   - As this tarball contains test/ directory, it is preferable that
> >     you add %check section and execute some test program there
> >     (if possible, I am not familiar with java)
> 
> Couldn't find the 'test' build target (ant test doesn't work), so leaving be
> for now unless this is a huge thing.

- Well, then "BuildRequires(check): ant-junit" is not needed for
  now?

- Now rpmlint warns about:
---------------------------------------------------------------------
joni.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/joni-1.1.3/test/org/joni/test/TestC.java
joni.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/joni-1.1.3/test/org/joni/test/TestU.java
joni.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/joni-1.1.3/test/org/joni/test/TestA.java
---------------------------------------------------------------------
  Please fix these rpmlint messages by dos2unix or
  $ sed -i -e 's|\r||' TestC.java

Please fix these when importing this package into Fedora CVS.
---------------------------------------------------------------------
    This pacakge (joni) is APPROVED by mtasaka
---------------------------------------------------------------------
Comment 4 Mo Morsi 2010-02-22 15:32:48 EST
(In reply to comment #3)
> (In reply to comment #2)
> - Well, then "BuildRequires(check): ant-junit" is not needed for
>   now?
> 
>   Please fix these rpmlint messages by dos2unix or
>   $ sed -i -e 's|\r||' TestC.java

Both done.

Thanks for the review / approval.

Final spec and srpm uploaded here:
http://mo.morsi.org/files/jruby/joni.spec
http://mo.morsi.org/files/jruby/joni-1.1.3-4.fc12.src.rpm

Package Change Request
======================
Package Name: joni
New Branches: 
Owners: mmorsi
Updated Description: A Java port of the Oniguruma regular expressions library.

The package https://admin.fedoraproject.org/pkgdb/packages/name/joni
exists, but has been orphaned and deprecated.
Comment 5 Jason Tibbitts 2010-02-22 16:26:23 EST
The package has been unretired; you should take ownership of it in pkgdb.
Comment 6 Mo Morsi 2010-02-23 17:33:27 EST
Claimed ownership of devel branch in pkgdb, and successfully pushed changes to devel via cvs. Also need F-12 and F-13 branches

Package Change Request
======================
Package Name: joni
New Branches: F-12, F-13
Owners: mmorsi
Updated Description: A Java port of the Oniguruma regular expressions library.
Comment 7 Jason Tibbitts 2010-02-24 15:06:19 EST
CVS done.
Comment 8 Mamoru TASAKA 2010-03-04 10:21:19 EST
Would you import your new srpm?
Comment 9 Mo Morsi 2010-03-04 11:45:27 EST
The cvs import is done, though the 'make build' step was failing and thus I couldn't submit it to bodhi.

Turned out that since the package was orphaned, it was blocked in the build system, and I had to submit a ticket to unblock it 

https://fedorahosted.org/rel-eng/ticket/3480

Once it's unblocked I will make build and push to updates.
Comment 10 Mamoru TASAKA 2010-03-12 11:23:59 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.